<div ...attributes>
  {{#each this.list as |item index|}}
    <div class="input-group mb-3">
      <span class="input-group-text" id="basic-addon1">{{sum index 1}}.</span>

      {{#if (and (eq 0 index) @primaryOptions)}}
        <Input::Select class="select-primary-category" @list={{@primaryOptions}} @value={{this.primaryValue}} @onChange={{this.setPrimaryValue}} {{did-insert this.setupPrimaryValue}} />
      {{else}}
        <PowerSelect @search={{fn this.search index}} @searchEnabled={{true}} @options={{this.options}}
          @onClose={{fn this.applyValue index}} class="form-control text-value-{{index}}" @selected={{item}}
          @onChange={{fn this.setItem index}} as |name|>
          {{name}}
        </PowerSelect>
      {{/if}}

      {{#if (not (and (eq 0 index) @primaryOptions))}}
        <button type="button" class="btn-danger btn" {{on "click" (fn this.remove index)}}>
          <FaIcon @icon="trash" />
        </button>
      {{/if}}
    </div>
  {{/each}}

  <button type="button" class="btn-secondary btn btn-add" {{on "click" this.addItem}}>
    <FaIcon @icon="plus" />
    Add
  </button>
</div>